#include "ListChannelsResponse.hpp"

using namespace mole;
using namespace serv;

ListChannelsResponse::ListChannelsResponse(){}

ListChannelsResponse::~ListChannelsResponse(){}

void
ListChannelsResponse::addChannel(std::string s){
    channels.push_back(s);
}

std::string
ListChannelsResponse::getChannel(int i){
    if (i >= 0 && i < channels.size())
	return channels[i];
    else
	return "";
}
